Subject: Re: [Bitcoin-development] A suggestion for reducing the size of the UTXO database

From: Matt Whitlock <[email-masked]>
Date: Mon, 25 May 2015 16:03:28 -0400

On Monday, 25 May 2015, at 8:41 pm, Mike Hearn wrote:
> > some wallets (e.g., Andreas Schildbach's wallet) don't even allow it - you
> > can only spend confirmed UTXOs. I can't tell you how aggravating it is to
> > have to tell a friend, "Oh, oops, I can't pay you yet. I have to wait for
> > the last transaction I did to confirm first." All the more aggravating
> > because I know, if I have multiple UTXOs in my wallet, I can make multiple
> > spends within the same block.
> 
> Andreas' wallet hasn't done that for years. Are you repeating this from
> some very old memory or do you actually see this issue in reality?
> 
> The only time you're forced to wait for confirmations is when you have an
> unconfirmed inbound transaction, and thus the sender is unknown.

I see this behavior all the time. I am using the latest release, as far as I know. Version 4.30.

The same behavior occurs in the Testnet3 variant of the app. Go in there with an empty wallet and receive one payment and wait for it to confirm. Then send a payment and, before it confirms, try to send another one. The wallet won't let you send the second payment. It'll say something like, "You need x.xxxxxx more bitcoins to make this payment." But if you wait for your first payment to confirm, then you'll be able to make the second payment.

If it matters, I configure the app to connect only to my own trusted Bitcoin node, so I only ever have one active connection at most. I notice that outgoing payments never show as "Sent" until they appear in a block, presumably because the app never sees the transaction come in over any connection.